/********************************/
// AVR ATmega328 Temperature Program
/* DS18B20 Read					*/
// ԉxƒlۑvO
//
// File Name:DS18B20.c
//
/*                      		*/
/* 2012/11/12  New Taishi TAB4		*/
/********************************/
#include	"ATmega328_ONDO2.h"
#include	"One_wire.h"
#include	"timer.h"
#include	"DS18B20.h"

unsigned char	pad[10];

/********************************************************/
/* x̎擾											*/
/* ́@Ȃ											*/
/* ߂l͉xR[hPUrbgf[^			*/
/*  D15 - D11 rbg 1:-, 0:+iQ̕␔\j		*/
/*  D10 - D4  ̒l@O`PQTivXj	*/
/*                          O`@TTi}CiXj*/
/*   D3 - D0  ̒l@ODOUQT`ODT	*/
/*														*/
/*	߂lPUŊƉx̒lɂȂ					*/
/*														*/
/*	crPWaQO݂͑l						*/
/*	@ʐM͐ɍś@Ƃď		*/
/*	@G[`FbN͍sȂ							*/
/*														*/
/* 													*/
/*    D15                 D0							*/
/*      0000 0111 1101 0000 : +125.0   deg C			*/
/*      0000 0101 0101 0000 : +85.0    deg C			*/
/*      0000 0001 1001 0001 : +25.0625 deg C			*/
/*      0000 0000 1010 0010 : +10.125  deg C			*/
/*      0000 0000 0000 1000 : +0.5     deg C			*/
/*      0000 0000 0000 0000 : +0.0     deg C			*/
/*      1111 1111 1111 1000 : -0.5     deg C			*/
/*      1111 1111 0101 1110 : -10.125  deg C			*/
/*      1111 1110 0110 1111 : -25.0625 deg C			*/
/*      1111 1100 1001 0000 : -55.0    deg C			*/
/********************************************************/
short	get_ondo(void)
{
	int				i;
	unsigned short	r;

	one_wire_reset();							/* Reset */
	one_wire_write_byte(0xcc);					/* Skip ROM */
	one_wire_write_byte(0x44);					/* Start Conversion */

//	delay_ms(100);								// 100mS Delay
	delay_ms(1000);								// 1000mS Delay crPWaQÕRo[WԂVTOriPQjȂ̂ŏڂɂ

	one_wire_reset();							/* Reset */
	one_wire_write_byte(0xcc);					/* Skip ROM */
	one_wire_write_byte(0xbe);					/* Read Scratch Pad */

	for(i=0; i<9; i++){
		pad[i] = one_wire_read_byte();			/* Read */
	}

	r  = pad[1];								/* MSB Side */
	r <<= 8;
	r |= pad[0];								/* LSB Side */

	return((short)r);
}
