//*****************************************
// AVR ATmega328 Temperature Program
// CPU Clock:1MHz
// ԉxƒlۑvO
// File Name:Mega_twi.h
//  wb_[t@C
//
//
//  2012/11/12 Taishi New
//*****************************************

enum twi_req_status {
		TWI_START = 0,
		TWI_DATA,
		TWI_DATA_ACK,
		TWI_STOP
	};


#define ACK 1
#define NACK 0

extern	unsigned char	gTwi_status;

extern	void			twi_init(void);
extern	void			twi_close(void);
extern	unsigned char	twi_start(unsigned int dev_id, unsigned int dev_addr, unsigned char rw_type);
extern	void 			twi_stop(void);
extern	unsigned char	twi_write(unsigned char data);
extern	unsigned char	twi_read(unsigned char *data,char ack_type);

extern	void			twi_debug_Load_WriteData(unsigned char *cp);
extern	void			twi_debug_Load_ReadData(unsigned char *cp);
extern	void			twi_debug_Load_WStatData(unsigned char *cp);
