//*****************************************
// AVR ATmega328 Temperature Program
// CPU Clock:1MHz
//   iq[Yf[^@āAOIV[^(8MHz)ɂj
// ԉxƒlۑvO
//
//  2012/11/19 Taishi  New (TAB4)
//*****************************************

#if		SEEPROM_IC == 1025		// Serial EEPROM:Microchip 24FC1025
#else							// Serial EEPROM:AT24C256
#endif

extern	unsigned char	e2_read_byte(unsigned short adr);
extern	void			rd_pron_nbyte(unsigned short adr,unsigned char *uc,int n);
extern	void			rd_pron_nword(unsigned short adr,unsigned short *ud,int n);
extern	void			wr_pron_nword(unsigned short adr,unsigned short *ud);
extern	void			e2_ptdata_wr(unsigned short da);
extern	unsigned short	e2_ptdata_rd(void);
extern	void			e2_ondo_wr(unsigned short adr,unsigned short ud);
extern	void			e2_add_mem(unsigned char *buf);
extern	void			e2_set_mem(unsigned char *buf);
extern	void			e2_set_start_string(unsigned char *buf);
extern	void			e2_get_start_string(unsigned char *buf);
extern	unsigned short	get_ondodata_adr(unsigned short pt);
extern	unsigned short	write_data(unsigned short us);
