//*****************************************
// AVR ATmega328 Temperature Program
// CPU Clock:1MHz
//   iq[Yf[^@āAOIV[^(8MHz)ɂj
// ԉxƒlۑvO
// File Name:Seep_256.h
//  wb_[t@C
//
// Serial EEPROM AT24C256
//
//  2012/08/06 New  Taishi(Ver 1.20) 
//*****************************************

#define	SEEP_ERR_TWI_START_TW_WRITE	1
#define	SEEP_ERR_TWI_WRITE			2
#define	SEEP_ERR_TWI_START_TW_READ	3
#define	SEEP_ERR_TWI_READ			4


extern	void			seep256_init(void);
extern	unsigned char	seep256_read_1(unsigned long seep_addr, unsigned char *seep_data);
extern	void			seep256_read_8(unsigned long seep_addr, void *vseep_data);
extern	void			seep256_read_64(unsigned long seep_addr, void *vseep_data);
extern	unsigned char	seep256_write_1(unsigned long seep_addr, unsigned char *seep_data);
extern	void			seep256_write_8(unsigned long seep_addr, void *vseep_data);
extern	void			seep256_write_64(unsigned long seep_addr, void *vseep_data);
extern	void			seep256_test(void);
