//*****************************************
// AVR ATmega328 Temperature Program
// CPU Clock:8MHz
//   iq[Yf[^@āAOIV[^(8MHz)ɂj
// ԉxƒlۑvO
//
// File Name:const_str.c
//
// 2013/03/17 Ver 0.02
//    ݒ胂[h@`^cl̕\ǉ
//    ݒlύXʂ̍ŏ ^Cg\ǉ
//    oxݒ莞@݂̐ZT[l̕\ǉ
//
//
//  2011/12/17 Taishi New
//*****************************************

#include	<avr/pgmspace.h>

#include	"ATmega328_ONDO2.h"
#include	"glb_dat.h"

#include	"const_str.h"

unsigned char	str_title_1[] PROGMEM      = {"ATmega328 ONDO2"};	// ^Cg|P
unsigned char	str_version[] PROGMEM      = {"Ver 0.02"};			// ^Cg|Q
unsigned char	str_date[] PROGMEM         = {__DATE__};			// 쐬@N
unsigned char	str_time[] PROGMEM         = {__TIME__};			// 쐬@
unsigned char	str_space10[] PROGMEM      = {"          "};		// "          "
unsigned char	str_done[] PROGMEM         = {"Done"};				// "Done"

unsigned char	str_cr_lf[] PROGMEM        = {"\r\n"};				// CR+LF
unsigned char	str_seep_init[] PROGMEM    = {"SEEPROM INIT."};		// "SEEPROM INIT."
unsigned char	str_str20[] PROGMEM        = {"STR:20"};			// "STR:20"
unsigned char	str_comm[] PROGMEM         = {"Communication"};		// "Communication"
unsigned char	str_config[] PROGMEM       = {"Configuration"};		// "Configuration"
unsigned char	str_mizu[] PROGMEM         = {"MIZU"};				// "MIZU"
unsigned char	str_mizu_level[] PROGMEM   = {"MIZU LEVEL"};		// "MIZU LEVEL"
unsigned char	str_interval[] PROGMEM     = {"INTERVAL"};			// "INTERVAL"
unsigned char	str_intval[] PROGMEM       = {"INTVAL"};			// "INTVAL"
unsigned char	str_lcd[] PROGMEM          = {"LCD"};				// "LCD"
unsigned char	str_contrast[] PROGMEM     = {"CONTRAST"};			// "CONTRAST"
unsigned char	str_save[] PROGMEM         = {"Save"};				// "Save"
unsigned char	str_exit[] PROGMEM         = {"Exit"};				// "Exit"
unsigned char	str_time_adj[] PROGMEM     = {"TIME"};				// "TIME"
unsigned char	str_bps[] PROGMEM          = {"BPS"};			    // "BPS"
unsigned char	str_uart[] PROGMEM         = {"UART"};				// "UART"
unsigned char	str_1200[] PROGMEM         = {"1200"};				// "1200"
unsigned char	str_2400[] PROGMEM         = {"2400"};				// "2400"
unsigned char	str_4800[] PROGMEM         = {"4800"};				// "4800"
unsigned char	str_9600[] PROGMEM         = {"9600"};				// "9600"
unsigned char	str_minute[] PROGMEM       = {"MINUTE"};			// "MINUTE"
unsigned char	str_hour[] PROGMEM         = {"HOUR"};				// "HOUR"
unsigned char	str_month[] PROGMEM        = {"MONTH"};				// "MONTH"
unsigned char	str_non[] PROGMEM          = {"NON"};				// "NON"
unsigned char	str_moni[] PROGMEM         = {"MONI"};				// "MONI"
unsigned char	str_8_E_1[] PROGMEM        = {".8.E.1"};			// ".8.E.1"
unsigned char	str_5minus[] PROGMEM       = {"-----"};				// "-----"


//*****************************************
// vÖ̕擾
// 	őPU܂
//  擾 disp_moji[] ɓ
//*****************************************
void	get_pgm_str(unsigned char *puc)
{
	unsigned char i;
	unsigned char uc;

	for(i=0; i < 16 ; i++){
		uc = pgm_read_byte(puc + i);
		if(uc == 0){									// ^[~l[^[̎
			break;
		}
		disp_moji[i] = pgm_read_byte(puc + i);
	}
	disp_moji[i] = 0;
}
