//*****************************************
// AVR ATmega328 Temperature Program
// CPU Clock:1MHz
//   iq[Yf[^@āAOIV[^(8MHz)ɂj
// ԉxƒlۑvO
//
// File Name:const_str.h
//
//  2011/12/17 Taishi New
//*****************************************

extern	unsigned char	str_title_1[] PROGMEM;			// ^Cg|P
extern	unsigned char	str_version[] PROGMEM;			// ^Cg|Q
extern	unsigned char	str_date[] PROGMEM;				// 쐬@N
extern	unsigned char	str_time[] PROGMEM;				// 쐬@
extern	unsigned char	str_space10[] PROGMEM;			// "          "
extern	unsigned char	str_done[] PROGMEM;				// "Done"

extern	unsigned char	str_cr_lf[] PROGMEM;			// CR+LF
extern	unsigned char	str_seep_init[] PROGMEM;		// "SEEPROM INIT."
extern	unsigned char	str_str20[] PROGMEM;			// "STR:20"
extern	unsigned char	str_comm[] PROGMEM;				// "Communication"
extern	unsigned char	str_config[] PROGMEM;			// "Configuration"
extern	unsigned char	str_mizu[] PROGMEM;				// "MIZU"
extern	unsigned char	str_mizu_level[] PROGMEM;		// "MIZU LEVEL"
extern	unsigned char	str_interval[] PROGMEM;			// "INTERVAL"
extern	unsigned char	str_intval[] PROGMEM;			// "INTVAL"
extern	unsigned char	str_lcd[] PROGMEM;				// "LCD"
extern	unsigned char	str_contrast[] PROGMEM;			// "CONTRAST"
extern	unsigned char	str_save[] PROGMEM;				// "Save"
extern	unsigned char	str_exit[] PROGMEM;				// "Exit"
extern	unsigned char	str_time_adj[] PROGMEM;			// "TIME"
extern	unsigned char	str_bps[] PROGMEM;			    // "BPS"
extern	unsigned char	str_uart[] PROGMEM;				// "UART"
extern	unsigned char	str_1200[] PROGMEM;				// "1200"
extern	unsigned char	str_2400[] PROGMEM;				// "2400"
extern	unsigned char	str_4800[] PROGMEM;				// "4800"
extern	unsigned char	str_9600[] PROGMEM;				// "9600"
extern	unsigned char	str_minute[] PROGMEM;			// "MINUTE"
extern	unsigned char	str_hour[] PROGMEM;				// "HOUR"
extern	unsigned char	str_month[] PROGMEM;			// "MONTH"
extern	unsigned char	str_non[] PROGMEM;				// "NON"
extern	unsigned char	str_moni[] PROGMEM;				// "MONI"
extern	unsigned char	str_8_E_1[] PROGMEM;			// ".8.E.1"
extern	unsigned char	str_5minus[] PROGMEM;			// "-----"

extern	void	get_pgm_str(unsigned char *puc);
