//*****************************************
// AVR ATmega328 Temperature Program
// CPU Clock:1MHz
//   iq[Yf[^@WāAOIV[^(8MHz)ɂj
// ԉxƒlۑvO
//
// File Name:lcd_I2C.h
//
//  2012/08/10 Taishi New
//*****************************************
#define		SB1602B_ID		0x70			//I2C LCD ̃foCXhciʂSrbgj
#define		SB1602B_ADDR	0x0c			//I2C LCD ̃foCXAhXiʂSrbg̓̏RrbgAcP`cRj

#define		DELAY_LCD_us	100				//30łv݂ Ƃ肠]TĂ̒lɂiP uS)

extern	unsigned char lcd_contrast;			// kbc\̔Zx

extern	void	init_lcd(void);
extern	void	close_lcd(void);
extern	void	disp_clear(void);
extern	void	disp_lcd(unsigned char pos_x, unsigned char pos_y, unsigned char *ucp);
extern	void	lcd_contrast_set(void);

extern	void	lcd_icon_antenna(unsigned char on);
extern	void	lcd_icon_telephon(unsigned char on);
extern	void	lcd_icon_buzzer(unsigned char on);
extern	void	lcd_icon_hisigata(unsigned char on);
extern	void	lcd_icon_uesankaku(unsigned char on);
extern	void	lcd_icon_sitasankaku(unsigned char on);
extern	void	lcd_icon_camera(unsigned char on);
extern	void	lcd_icon_batu(unsigned char on);
extern	void	lcd_icon_mituwa(unsigned char on);
extern	void	lcd_icon_bat_full(void);
extern	void	lcd_icon_bat_mid(void);
extern	void	lcd_icon_bat_low(void);
extern	void	lcd_icon_bat_empty(void);
extern	void	lcd_icon_non_battery(void);
