//*****************************************
// AVR ATmega328 Temperature Program
// CPU Clock:1MHz
//   iq[Yf[^@āAOIV[^(8MHz)ɂj
// ԉxƒlۑvO
//
// File Name:uart.c
//
//  2011/12/17 Taishi New
//*****************************************


#define	BIT_RATE1200		1200								// rbg|g:1200
#define	BIT_RATE2400		2400								// rbg|g:2400
#define	BIT_RATE4800		4800								// rbg|g:4800


// t`qs̐ݒl

// aor
#define	BPS_1200		(unsigned int)(((long)CLOCK/(long)16/(long)BIT_RATE1200) - 1)	// taqqO̒l(1200)
#define	BPS_2400		(unsigned int)(((long)CLOCK/(long)16/(long)BIT_RATE2400) - 1)	// taqqO̒l(2400)
#define	BPS_4800		(unsigned int)(((long)CLOCK/(long)16/(long)BIT_RATE4800) - 1)	// taqqO̒l(4800)AXUOO̒l

// peB
#define	V_PARITY_NON	((0 << UPM01) | (0 << UPM00))									// peB
#define	V_PARITY_EVN	((1 << UPM01) | (0 << UPM00))									// peB
#define	V_PARITY_ODD	((1 << UPM01) | (1 << UPM00))									// peB

// f[^
#define	V_DATA_8		((1 << UCSZ00) | (1 << UCSZ01))									// Wrbgf[^
#define	V_DATA_7		((0 << UCSZ00) | (1 << UCSZ01))									// Vrbgf[^


extern	unsigned short	uart_bps;									// BPS 0:1200, 1:2400, 2:4800, 3:9600
extern	void	uart_init(void);
extern	void	uart_close(void);
extern	short	uart_rx_one();
extern	void	uart_tx_one(unsigned char uc);
extern	void	uart_tx_str(char *str);
extern	void	uart_tx_str_crlf(char *str);

