//*****************************************
// AVR ATmega328 Temperature Program
// CPU Clock:1MHz
// ԉxƒlۑvO
// File Name:Rtc_Rx8025.h
//  wb_[t@C
//
// Real Time Clock Rx8025
//
// ܂qwWOQT̃WX^ANZX悤ɂȂĂȂ
//
//  2012/11/12 Taishi New
//*****************************************

#define RX8025_ID		0x60					// I2C RX8025 foCXhciʂSrbgj
#define RX8025_ADDR		0x04					// I2C RX8025 foCXAhXiʂSrbg̓̏RrbgAcP`cRj

#define	RTC_ERR_TWI_START_TW_WRITE	1
#define	RTC_ERR_TWI_WRITE			2
#define	RTC_ERR_TWI_START_TW_READ	3
#define	RTC_ERR_TWI_READ			4

volatile extern	unsigned char	gRTC_sec;				// qsb b̃f[^ (BCD 0--59)
volatile extern	unsigned char	gRTC_min;				// qsb ̃f[^ (BCD 0--59)
volatile extern	unsigned char	gRTC_hou;				// qsb ̃f[^ (BCD 0--23j
volatile extern	unsigned char	gRTC_wday;				// qsb j̃f[^ (BCD 1--7)
volatile extern	unsigned char	gRTC_day;				// qsb ̃f[^ (BCD 1--31)
volatile extern	unsigned char	gRTC_mon;				// qsb ̃f[^ (BCD 1--12j
volatile extern	unsigned char	gRTC_year;				// qsb Ñf[^ (BCD 0--99)
volatile extern	unsigned char	gRTC_control1;			// qsb Rg[P̃f[^
volatile extern	unsigned char	gRTC_control2;			// qsb Rg[Q̃f[^
volatile extern	unsigned char	gRTC_control1_first;	// qsb Nŏ̃Rg[P̃f[^
volatile extern	unsigned char	gRTC_control2_first;	// qsb Nŏ̃Rg[Q̃f[^
volatile extern	unsigned char	gRTC_reg[16];			// SẴWX^̒l
volatile extern	unsigned short	interval;				// Ԋui݊Ԋuj@OFo͂ȂAPFƁAQFƁARF

#define	RTC_CONTROL1_ADDR	0xe0				// Rg[P̂qsbAhX
#define	RTC_CONTROL1_WALE	0x80				//@@AhX́fdfA
#define	RTC_CONTROL1_DALE	0x40				//@@o͂鎞͉ʂSrbgɓ][ĥł̒lɂȂ
#define	RTC_CONTROL1_1224	0x20
#define	RTC_CONTROL1_CLEN2	0x10
#define	RTC_CONTROL1_TEST	0x08
#define	RTC_CONTROL1_CT2	0x04
#define	RTC_CONTROL1_CT1	0x02
#define	RTC_CONTROL1_CT0	0x01

#define	RTC_CONTROL2_ADDR	0xf0				// Rg[Q̂qsbAhX
#define	RTC_CONTROL2_VDSL	0x80				//@@AhX́fefA
#define	RTC_CONTROL2_VDET	0x40                //@@o͂鎞͉ʂSrbgɓ][ĥł̒lɂȂ
#define	RTC_CONTROL2_XST	0x20
#define	RTC_CONTROL2_PON	0x10
#define	RTC_CONTROL2_CLEN1	0x08
#define	RTC_CONTROL2_CTFG	0x04
#define	RTC_CONTROL2_WAFG	0x02
#define	RTC_CONTROL2_DAFG	0x01

volatile extern	unsigned char	rtc_1h_flg;				// qsbĂ鎞̂PԌoߗp



extern	unsigned char	rtc_init(void);
extern	unsigned char	rtc_read(void);
extern	unsigned char	rtc_write(void);
extern	unsigned char	rtc_control_read(void);
extern	unsigned char	rtc_control_write(void);
extern	void			rtc_read_data_clear(void);
extern	unsigned char	rtc_inta_clear(void);
extern	unsigned char	rtc_inta_intb_clear(void);
extern	unsigned char	rtc_set_interval(unsigned char intval);
extern	unsigned char	rtc_all_register_read(void);

extern	void			rtc_error(void);

