//*****************************************
// AVR ATmega328 Temperature Program
// CPU Clock:1MHz
//   iq[Yf[^@āAOIV[^(8MHz)ɂj
// ԉxƒlۑvO
//
// File Name:lcd.h
//
//  2011/12/17 Taishi New
//*****************************************

#ifdef	I2C_LCD
#include	"lcd_I2C.h"
#else	//I2C_LCD
#define		DELAY_LCD_us		100								//SC1602BS  50 łv LM40X21A ͂̒lKv

extern	unsigned char	lcd_cg_data[64] PROGMEM;
extern	void	lcd_out_4bit(unsigned char uc, int rs);
extern	void	lcd_cmd_out(unsigned char uc);
extern	void	lcd_data_out(unsigned char uc);
extern	void	lcd_cg_data_set(void);
extern	void	init_lcd(void);
extern	void	disp_clear(void);
extern	void	disp_lcd(unsigned char pos_x, unsigned char pos_y, unsigned char *ucp);
#endif	//I2C_LCD
