//*****************************************
// AVR ATmega328 Temperature Program
//
// ԉxƒlۑvO
//
// File Name:ond_mizu.c
//
// 2013/03/17 Ver 0.02
//    ݒ胂[h@`^cl̕\ǉ
//    ݒlύXʂ̍ŏ ^Cg\ǉ
//    oxݒ莞@݂̐ZT[l̕\ǉ
//
//
//	2012/11/22  NEW  Taishi(TAB 4)
//*****************************************
#include	<avr/io.h>

#include	"ATmega328_ONDO2.h"
#include	"DS18B20.h"
#include	"gei_eeprom.h"
#include	"a_d.h"
#include	"timer.h"
#include	"port_bit.h"

#include	"ondo_mizu.h"


unsigned short	mizu_nasi=MIZU_NASI_DEFAULT;		// zl
unsigned short	gAd_mizu=0;							// ZT[̂`^cl

/****************************/
/* ZT֌W̏ݒ	*/
//  igpJnj
/* 2008/ 4/4   Taishi NEW		*/
/****************************/
void	mizu_initial(void)
{

	PORTD |= (1 << PD5);		// SencepfgfMo
	ad0_init();					// A/D 0 Initial

}
/****************************/
/* ZT֌W̏Iݒ	*/
//  igpIj
/* 2012/11/20   Taishi NEW	*/
/****************************/
void	mizu_close(void)
{
	PORTD &= ~(1 << PD5);		// SencepfLfMo
	ad0_close();				// A/D 0 Close

}

/********************************************************/
/* ̗L薳̃f[^ǂ							*/
/* `^cϊiϒlŎj							*/
/* `^cRo[^̕ϊI܂œŃ[vɂȂ	*/
/*														*/
/*@@Wf[^Aŏlƍől			*/
/*@@cU̕ς߂							*/
/********************************************************/
// static								// Ver0.02
unsigned short	mizu_rd(void)
{
	unsigned short	ad_one[8];			/* ςÖ̒l */
	unsigned short	v;
	unsigned short	max_d;
	unsigned short	min_d;
	unsigned short	sum_d;
	unsigned char	i;

	max_d=0;
	min_d=0xffff;
	sum_d=0;
	for(i=0;i<8;i++){
		v = ad0_get_one_data();			// A/D0̕ϊl擾
		ad_one[i]=v;
		if (max_d < v){
			max_d = v;					/* ől߂ */
		}
		if (min_d > v){
			min_d = v;					/* ŏl߂ */
		}
		sum_d += v;						/* vo */
	}

	sum_d -= max_d;						/* ől */
	sum_d -= min_d;						/* ŏl */

	v = sum_d/(8-2);					/* ϒl߂ */

	return(v);
}

/********************************************/
/* ݂̉xƐ̗L擾				*/
/* ͂cPSrbgPɂ		*/
/********************************************/
unsigned short get_ondo_mizu(void)
{
	short		Ondo;

	mizu_initial();				// ZT֌W̏ݒigpJnj
	get_ondo();					/* ŏWTƂȂ邱ƂL̂łP񉷓xṽf[^ǌ̂Ă */
	delay_ms(1000);				// 1000mS Delay
	Ondo = get_ondo();			/* xṽf[^ǂ */
	if (Ondo < 0){				/* }CiX͖Ȃ̂łOɂ */
		Ondo = 0;
	}
	gAd_mizu =mizu_rd();		/* ̗L薳̃f[^ǂ */
	mizu_close();				// ZT֌W̏Iݒ
	if (gAd_mizu > mizu_nasi){	/*  */
		Ondo |= 0x4000;
	}

	return((unsigned short)Ondo);
}


